aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNeels Hofmeyr <neels@hofmeyr.de>2018-01-16 15:14:05 +0100
committerNeels Hofmeyr <neels@hofmeyr.de>2018-01-16 15:24:56 +0100
commit1ebab44b6f6f4bfe8bd7b2030b9a03183fea27b2 (patch)
tree45f2ef74aa4fa3eeafd6c27e7328cf95337b13e1
parent6dcd9cab3614095a7550d1234829e34a08535473 (diff)
fix jenkins build: add contrib/jenkins.sh expected by jobsHEADmaster
-rwxr-xr-xcontrib/jenkins.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
new file mode 100755
index 00000000..1b09c8b8
--- /dev/null
+++ b/contrib/jenkins.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+# jenkins build helper script for asn1c. This is how we build on jenkins.osmocom.org
+
+set -ex
+
+osmo-clean-workspace.sh
+
+set +x
+echo
+echo
+echo
+echo " =============================== asn1c ==============================="
+echo
+set -x
+
+./configure # CFLAGS="-Werror" CPPFLAGS="-Werror" #-Werror currently broken
+$MAKE $PARALLEL_MAKE
+$MAKE check
+#$MAKE distcheck # distcheck currently broken
+
+osmo-clean-workspace.sh